------------------------------------------------------------------------------------
--Name:  	zhongxia1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-08-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(117, 109)
local Player_1 = CppScriptMgr:AddSimplePlayer(1062460, 118, 109, "Lavender", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetDir(2)
Player_2:SetPos(122, 109)
CppScriptMgr:WaitMilSec(940)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(60)
Player_1:Say("Adventurer, look!", 1500)
CppScriptMgr:WaitMilSec(2990)
Player_1:AddPartEffect("zuji_5_1", 2, 33)
Player_1:SetAction(1111)
local Effect_2 = CppScriptMgr:AddEffect("zuji_5_2", 114, 106, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_3 = CppScriptMgr:AddEffect("zuji_5_2", 116, 111, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1850)
local Effect_1 = CppScriptMgr:AddEffect("yiguidz_3112", 118, 109, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(140)
Player_2:SetAction(180)
Player_2:Say("Wow! That`s so beautiful!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("These are the treasures of Jade Hill, Sakura Grace and Falling Sakura.", 3000)
CppScriptMgr:WaitMilSec(80)
Player_1:SetAction(200)
CppScriptMgr:WaitMilSec(1420)
Player_2:Say("So exquisite and stunning!", 1500)
CppScriptMgr:WaitMilSec(70)
Player_1:SetAction(101)
Player_2:SetAction(190)
CppScriptMgr:WaitMilSec(3320)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e233", 120, 116, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(530)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(680)
local Player_3 = CppScriptMgr:AddPlayer(106, 120, 116, "", 0, 0)
Player_3:SetDir(4)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
local Effect_6 = CppScriptMgr:AddEffect("HHQZS_FireBall", 120, 116, 33, 1, 1, 1)
local Effect_7 = CppScriptMgr:AddEffect("HHQZS_FireBall", 120, 116, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(320)
Player_1:SetAction(330)
Player_2:SetAction(330)
CppScriptMgr:WaitMilSec(650)
Player_3:Say("Haha! The treasures of Jade Hill are mine now!", 1500)
CppScriptMgr:WaitMilSec(210)
Player_1:AddEffect("KillerPattern", 33)
Player_1:ClearPartEffect("zuji_5_1", 2)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 118, 109, 33, 1, 1, 1)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:ClearEffect(Effect_3)
CppScriptMgr:WaitMilSec(1220)
Player_3:SetHide(1)
local effect_2 = CppScriptMgr:AddEffect("cyclonexian", 120, 116, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(290)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:WaitMilSec(1200)
Player_1:Say("No! The treasures are in the demon king`s hands!", 2000)
Player_1:SetAction(170)
CppScriptMgr:WaitMilSec(930)
Player_2:Say("I`m willing to lend a hand!", 3000)
Player_2:SetAction(200)
CppScriptMgr:WaitMilSec(1010)
Player_1:Say("Please reclaim the treasures and stop the catastrophe.", 2000)
CppScriptMgr:WaitMilSec(4380)